%define Summary A free (GPL) Bomberman-like multiplayer game

Summary:	%{Summary}
Name:		clanbomber
Version:	1.05
Release:	%mkrel 10
License:	GPL
Group:		Games/Arcade
URL:		http://clanbomber.sourceforge.net/
Source:		http://www.clanbomber.de/files/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch8:		clanbomber-1.02a-gcc-3.3.patch
Patch9:		%{name}-0.5-compile-without-xdisplay.patch
Patch10:        clanbomber-1.05-gcc3_4.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	zlib-devel libhermes-devel clanlib0.6-devel libclanlib-mikmod
BuildRequires:	libmikmod-devel libclanlib-sound automake1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep

%setup -q
%patch8 -p1 -b .peroyvind
%patch9 -p1 -b .peroyvind
%patch10 -p1
perl -pi -e 's|\@datadir\@|\$(datadir)|' */Makefile.am */*/Makefile.am
aclocal-1.7

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
make

%install
rm -rf %{buildroot}

%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png


# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=ClanBomber
Comment=%{Summary}
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.05-10mdv2010.0
+ Revision: 413238
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.05-9mdv2009.1
+ Revision: 350235
- 2009.1 rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.05-8mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.05-8mdv2008.1
+ Revision: 186282
- Run clanbomber with soundwrapper (Mdv bug #38420)

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.05-7mdv2008.1
+ Revision: 149084
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Mar 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-6mdv2007.1
+ Revision: 146845
- fix summary

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-5mdv2007.1
+ Revision: 145774
- Import clanbomber

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-5mdv2007.1
- use the %%mrel macro
- bunzip patches
- fix the xdg menu stuff

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-4mdk
- fix buildrequires

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.05-3mdk
- Rebuild with new menu

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.05-2mdk 
- rebuild, patch from  Christiaan Welvaart <cjw@daneel.dyndns.org>
- remove Packager tag

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.05-1mdk
- 0.5
- fix build when there's no $DISPLAY available (P9 from debian)
- fix buildrequires
- change summary macro to avoid conflicts if we were to build debug package
- spec cosmetics

